Method: projects.locations.exascaleDbStorageVaults.patch

Updates the labels of a single ExascaleDbStorageVault.

HTTP request


PATCH https://oracledatabase.googleapis.com/v1/{exascaleDbStorageVault.name=projects/*/locations/*/exascaleDbStorageVaults/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
exascaleDbStorageVault.name

string

Identifier. The resource name of the ExascaleDbStorageVault. Format: projects/{project}/locations/{location}/exascaleDbStorageVaults/{exascaleDbStorageVault}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. A mask specifying which fields in the ExascaleDbStorageVault should be updated. A field specified in the mask is updated. If a mask isn't provided, the service treats this as an implied field mask equivalent to all fields that are populated (have a non-empty value). To clear or unset a field, the field must be explicitly specified in the updateMask.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. An optional ID to identify the request. This value is used to identify duplicate requests. If you make a request with the same request ID and the original request is still in progress or completed, the server ignores the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

Request body

The request body contains an instance of ExascaleDbStorageVault.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.exascaleDbStorageVaults.update

For more information, see the IAM documentation.